org.richfaces.component

## Enum DataScrollerControlsMode

- java.lang.Object
- - java.lang.Enum<DataScrollerControlsMode>
  - - org.richfaces.component.DataScrollerControlsMode

- All Implemented Interfaces:
    Serializable, Comparable<DataScrollerControlsMode>

      public enum DataScrollerControlsMode
      extends Enum<DataScrollerControlsMode>

  Author:
    Nick Belaevski

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `auto`
    `hide`
    `show`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static DataScrollerControlsMode` | `DEFAULT`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DataScrollerControlsMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static DataScrollerControlsMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### show

          public static final DataScrollerControlsMode show

    - #### auto

          public static final DataScrollerControlsMode auto

    - #### hide

          public static final DataScrollerControlsMode hide

  - ### Field Detail

    - #### DEFAULT

          public static final DataScrollerControlsMode DEFAULT

  - ### Method Detail

    - #### values

          public static DataScrollerControlsMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DataScrollerControlsMode c : DataScrollerControlsMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DataScrollerControlsMode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.